<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 01200_GPCrypto_object</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>01200_GPCrypto_object<br/>
<small>
[<a class="el" href="group___g_p.html">GP</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__object.html#gaee684f524522cbfc4f787ca92ca8658c">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDH</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__object.html#ga8b34ccc1dd10276caf8b1dab5867a987">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__object.html#ga533f596c1d70e8b125d60daaf9b4431a">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_large</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__object.html#gafbce1fcdd30dd2781e34e7d6ef53c5f1">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_small</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<dl class="user"><dt><b>Description:</b></dt><dd>: Test TEE_GetObjectBufferAttribute API </dd></dl>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaee684f524522cbfc4f787ca92ca8658c"></a><!-- doxytag: member="01200_GPCrypto_object.cpp::TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDH" ref="gaee684f524522cbfc4f787ca92ca8658c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDH </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>be7d25b986d95556bd1daeaf91e3038a </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE_CopyTransientObject </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>1. Call TEE_AllocateTransientObject and TEE_PopulateTransientObject to make a 192-bit ECDH public key with a 192-bit maximum size.<br/>
 2. Call TEE_AllocateTransientObject for a max 192-bit ECDH public key.<br/>
 3. Call TEE_CopyObjectAttributes.<br/>
 4. Compare the object attributes and of the first and second objects.<br/>
 5. Call TEE_ObjectInfo on both objects and compare the data.<br/>
 </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>TEE_GetObjectInfo returns the expected object content. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>310A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.01200_GPCrypto_object.GC00300_GPCRYPTO_CopyObjectAttributes_ECDH </dd></dl>

</div>
</div>
<a class="anchor" id="ga8b34ccc1dd10276caf8b1dab5867a987"></a><!-- doxytag: member="01200_GPCrypto_object.cpp::TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA" ref="ga8b34ccc1dd10276caf8b1dab5867a987" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>be7d25b986d95556bd1daeaf91e3038a </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE_CopyTransientObject </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>1. Call TEE_AllocateTransientObject and TEE_PopulateTransientObject to make a 192-bit ECDSA public key with a 192-bit maximum size.<br/>
 2. Call TEE_AllocateTransientObject for a max 192-bit ECDSA public key.<br/>
 3. Call TEE_CopyObjectAttributes.<br/>
 4. Compare the object attributes and of the first and second objects.<br/>
 5. Call TEE_ObjectInfo on both objects and compare the data.<br/>
 </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>TEE_GetObjectInfo returns the expected object content. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>310A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.01200_GPCrypto_object.GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA </dd></dl>

</div>
</div>
<a class="anchor" id="ga533f596c1d70e8b125d60daaf9b4431a"></a><!-- doxytag: member="01200_GPCrypto_object.cpp::TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_large" ref="ga533f596c1d70e8b125d60daaf9b4431a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_large </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>be7d25b986d95556bd1daeaf91e3038a </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE_CopyTransientObject </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>1. Call TEE_AllocateTransientObject and TEE_PopulateTransientObject to make a 192-bit ECDSA public key with a 224-bit maximum size.<br/>
 2. Call TEE_AllocateTransientObject for a max 224-bit ECDSA public key.<br/>
 3. Call TEE_CopyObjectAttributes.<br/>
 4. Compare the object attributes and of the first and second objects.<br/>
 5. Call TEE_ObjectInfo on both objects and compare the data.<br/>
 </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>TEE_GetObjectInfo returns the expected object content. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>310A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.01200_GPCrypto_object.GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_large </dd></dl>

</div>
</div>
<a class="anchor" id="gafbce1fcdd30dd2781e34e7d6ef53c5f1"></a><!-- doxytag: member="01200_GPCrypto_object.cpp::TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_small" ref="gafbce1fcdd30dd2781e34e7d6ef53c5f1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_small </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>be7d25b986d95556bd1daeaf91e3038a </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TEE_CopyTransientObject </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>1. Call TEE_AllocateTransientObject and TEE_PopulateTransientObject to make a 192-bit ECDSA public key with a 224-bit maximum size.<br/>
 2. Call TEE_AllocateTransientObject for a max 192-bit ECDSA public key.<br/>
 3. Call TEE_CopyObjectAttributes.<br/>
 4. Compare the object attributes and of the first and second objects.<br/>
 5. Call TEE_ObjectInfo on both objects and compare the data.<br/>
 </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>TEE_GetObjectInfo returns the expected object content. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>310A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.01200_GPCrypto_object.GC00300_GPCRYPTO_CopyObjectAttributes_ECDSA_public_large_small </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
